Page MenuHomePhabricator

Efl Canvas Text : canvas textblock changed not fired for shadow format (style_apply)
ClosedPublic

Authored by AbdullehGhujeh on Jan 13 2020, 7:49 AM.

Details

Summary

If shadow format changed using style_apply , the event EFL_CANVAS_TEXTBLOCK_EVENT_CHANGED will not be fired.
also added tests for it.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
AbdullehGhujeh created this revision.Jan 13 2020, 7:49 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

AbdullehGhujeh requested review of this revision.Jan 13 2020, 7:49 AM
AbdullehGhujeh retitled this revision from Efl Canvas Text : canvas textblock changed not fired for shadow format to Efl Canvas Text : canvas textblock changed not fired for shadow format (style_apply).Jan 13 2020, 7:52 AM
AbdullehGhujeh edited the summary of this revision. (Show Details)
AbdullehGhujeh added reviewers: ali.alzyod, woohyun.
ali.alzyod added inline comments.Aug 9 2020, 10:59 PM
src/lib/evas/canvas/evas_object_textblock.c
1494

can you please make _FMT_INFO(effect) != efl between ()

1529

can you please make _FMT_INFO(shadow_direction) != EFL_TEXT_STYLE_SHADOW_DIRECTION_##direction between ()

Can you please check comments

  • add parentheses
AbdullehGhujeh marked 2 inline comments as done.Aug 10 2020, 12:08 AM
AbdullehGhujeh added inline comments.
src/lib/evas/canvas/evas_object_textblock.c
1494

Done

1529

Done

ali.alzyod requested changes to this revision.Aug 10 2020, 12:16 AM

needs rebase

This revision now requires changes to proceed.Aug 10 2020, 12:16 AM
AbdullehGhujeh marked 2 inline comments as done.

rebase

ali.alzyod requested changes to this revision.Aug 16 2020, 11:10 PM

Ninja test is failing

This revision now requires changes to proceed.Aug 16 2020, 11:10 PM
ali.alzyod accepted this revision.Aug 17 2020, 10:55 PM
This revision is now accepted and ready to land.Aug 17 2020, 10:55 PM
This revision was automatically updated to reflect the committed changes.